# SPDX-FileCopyrightText: 2022 James R. Barlow
# SPDX-License-Identifier: MPL-2.0

from __future__ import annotations

import os

try:
    from importlib_metadata import version as _package_version  # type: ignore
except ImportError:
    from importlib.metadata import version as _package_version

if 'DEB_VERSION_UPSTREAM' in os.environ:
    __version__ = os.environ['DEB_VERSION_UPSTREAM']
else:
    __version__ = _package_version('pikepdf')

__all__ = ['__version__']
